atomic_sub_return
Prev | Atomic and pointer manipulation | Next

## Name

atomic_sub_return — subtract integer and return

## Synopsis

`int atomic_sub_return (` | int | i,
| atomic_t * | v`)`;

## Arguments

`i`

  integer value to subtract

`v`

  pointer of type atomic_t

## Description

Atomically subtracts `i` from `v` and returns `v` - `i`

Prev | Up | Next
atomic_add_return | Home | atomic_add_unless